<template>
  <div class="operationLog_box">
    <My-bread
      :list="[
        `${$t('operatManage.operatManage')}`,
        `${$t('operatManage.operationLog')}`,
      ]"
    ></My-bread>
    <el-divider />
    <div class="inquire">
      <div class="herder_box">
        {{ $t("operatManage.operationLogObj.queryRegion") }}
      </div>
      <el-form ref="formData1" :model="form" :inline="true">
        <el-form-item
          :label="$t('operatManage.operationLogObj.resourceName')"
          prop="name"
        >
          <el-input
            v-model="form.name"
            :placeholder="$t('operatManage.operationLogObj.pleaseInput')"
          />
        </el-form-item>

        <el-form-item
          :label="$t('operatManage.operationLogObj.operationType')"
          prop="region"
        >
          <el-select
            v-model="form.region"
            :placeholder="$t('operatManage.operationLogObj.pleaseSelect')"
          >
            <el-option label="全部" value="shanghai" />
            <el-option label="浏览" value="beijing" />
            <el-option label="下载" value="shanghai" />
            <el-option label="调用" value="beijing" />
            <el-option label="收藏" value="shanghai" />
          </el-select>
        </el-form-item>
        <el-form-item :label="$t('operatManage.operationLogObj.operatingTime')">
          <el-col :span="11">
            <el-date-picker
              type="date"
              :placeholder="$t('operatManage.operationLogObj.optionDate')"
              v-model="form.date1"
              style="width: 100%"
            ></el-date-picker>
          </el-col>
          <el-col class="line text-center" :span="2">-</el-col>
          <el-col :span="11">
            <el-time-picker
              :placeholder="$t('operatManage.operationLogObj.selectTime')"
              v-model="form.date2"
              style="width: 100%"
            ></el-time-picker>
          </el-col>
        </el-form-item>
        <el-form-item>
          <el-button @click="onSubmit" icon="el-icon-search">{{
            $t("operatManage.operationLogObj.inquire")
          }}</el-button>
          <el-button icon="el-icon-delete">{{
            $t("operatManage.operationLogObj.empty")
          }}</el-button>
        </el-form-item>
      </el-form>
    </div>
    <div class="table_box">
      <el-table :data="tableData" stripe style="width: 100%">
        <!-- <el-table-column type="selection" width="55" /> -->
        <el-table-column
          :label="$t('operatManage.operationLogObj.num')"
          type="index"
          width="80"
        >
        </el-table-column>
        <!-- <el-table-column prop="Accessnumber" label="访问编号" /> -->
        <el-table-column
          prop="name"
          :label="$t('operatManage.operationLogObj.resourceName')"
        />
        <el-table-column
          prop="operatingsystem"
          :label="$t('operatManage.operationLogObj.operationType')"
        />

        <!-- <el-table-column prop="loginaddress" label="登录地点" /> -->
        <el-table-column
          prop="browser"
          :label="$t('operatManage.operationLogObj.username')"
        />
        <el-table-column
          prop="operatinginformation"
          :label="$t('operatManage.operationLogObj.systematicName')"
        />
        <el-table-column prop="ip" label="IP" />

        <el-table-column
          prop="date"
          :label="$t('operatManage.operationLogObj.operatingTime')"
        />
        <!-- <el-table-column fixed="right" label="操作" width="100">
          <template #default>

            <el-button type="primary" size="small">删除</el-button>
          </template>
        </el-table-column> -->
      </el-table>
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage4"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="10"
          layout="total, sizes, prev, pager, next, jumper"
          :total="9"
        >
        </el-pagination>
      </div>
    </div>
  </div>
</template>

<script>
import MyBread from "../../components/MyBread.vue";

export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },

  data() {
    return {
      currentPage4: 1,
      form: {
        name: "",
        region: "",
        jurisdiction: "",
      },
      tableData: [
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "IE11",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "IE11",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "chrome",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
        {
          date: "2022-08-05",
          name: "admin",
          Accessnumber: "1",
          loginaddress: "北京市",
          browser: "IE11",
          operatingsystem: "windows10",
          state: "成功",
          operatinginformation: "登录成功",
          ip: "221.182.31.12",
        },
      ],
    };
  },
  methods: {
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
    },
    onSubmit() {
      console.log("submit!");
    },
  },
  created() { },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.operationLog_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  .inquire {
    padding: 10px;
    margin-top: 20px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    margin-bottom: 20px;
    .herder_box {
      padding: 10px;
      border-bottom: 1px solid #ccc;
      margin-bottom: 20px;
      font-size: 14px;
    }
  }
  .table_box {
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
  }
  .text-center {
    text-align: center;
  }
}
</style>
